Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMUserDefinedType

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.type.SOMType
              com.bea.schema.SOMUserDefinedType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SOMComplexType, SOMSimpleType

public abstract class SOMUserDefinedType
extends SOMType

Superclass for complexType and simpleType

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`SOMUserDefinedType()`
`SOMUserDefinedType(String name)`

Method Summary
`SOMAnnotation` | `addAnnotation()`
`SOMAnnotation` | `addAnnotation(SOMAnnotation annotation)`
`SOMDocumentation` | `addDocumentation(String info)`
`SOMAnnotation` | `getAnnotation()`
`Map` | `getAttributes(boolean getAll)` retrieve the attributes for this schema element.
`String` | `getName()`
`boolean` | `isElementalType()` Is this type an elemental type.
`boolean` | `isUserDefinedType()` Is this a user defined type.
`SOMAnnotation` | `removeAnnotation()` set the annotation for this type to null.
`void` | `setName(String p_name)`

Methods inherited from class com.bea.schema.type.SOMType
`getAllowedFacets, getID, getType, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMUserDefinedType

    public SOMUserDefinedType(String name)

### SOMUserDefinedType

    public SOMUserDefinedType()

Method Detail

### setName

    public void setName(String p_name)

### getName

    public String getName()

### addDocumentation

    public SOMDocumentation addDocumentation(String info)

### addAnnotation

    public SOMAnnotation addAnnotation()

### addAnnotation

    public SOMAnnotation addAnnotation(SOMAnnotation annotation)

### getAnnotation

    public SOMAnnotation getAnnotation()

### removeAnnotation

    public SOMAnnotation removeAnnotation()

  set the annotation for this type to null.

  Returns:
    the removed annotation, or null if none was present

### getAttributes

    public Map getAttributes(boolean getAll)

  retrieve the attributes for this schema element. If getAll is false, only the attributes that are not set to their default value are returned. If getAll is true, all possible attributes for this element will be returned.

  Parameters:
    `getAll` - get all attributes
  Returns:
    a Hashtable of attributes, where the attribute name and value are stored as strings.

### isElementalType

    public boolean isElementalType()

  Is this type an elemental type.

  Overrides:
    `isElementalType` in class `SOMType`
  Returns:
    false

### isUserDefinedType

    public boolean isUserDefinedType()

  Is this a user defined type.

  Overrides:
    `isUserDefinedType` in class `SOMType`
  Returns:
    true

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD